import * as fs from "fs";
import { styleText } from "util";

export default function PackagesIsExist() {
  try {
    if (!fs.existsSync("node_modules/.package-lock.json")) {
      console.log(styleText("red", `
      node_modules/.package-lock.jsonがありません。
      プロジェクト直下でnpm installを実行してください。
      `));
      process.exit();
    }
  } catch (err) {
    console.log("node_modules/.package-lock.jsonの存在確認でエラーが発生しました: ", err);
  }
}
